package xyz.prismix.Screens;

import com.badlogic.gdx.Screen;
import org.reflections.Reflections;

import java.lang.reflect.InvocationTargetException;
import java.util.HashMap;
import java.util.Set;

public class ScreenManagers {
    private static final HashMap<Class, Screen> Screens = new HashMap<>();

    public static void load() throws NoSuchMethodException, InvocationTargetException, InstantiationException, IllegalAccessException {
        Reflections reflections = new Reflections("xyz.prismix.Screens.List");
        Set<Class<? extends Screen>> screens = reflections.getSubTypesOf(Screen.class);
        for (Class<? extends Screen> screen : screens) {
            Screen newScreen = screen.getDeclaredConstructor().newInstance();
            Screens.put(newScreen.getClass(), newScreen);
        }
    }
}
